snd_ctl_rename_id
Prev | Chapter 24. Sound Devices | Next

## Name

snd_ctl_rename_id — replace the id of a control on the card

## Synopsis

`int snd_ctl_rename_id (` | struct snd_card * | card,
| struct snd_ctl_elem_id * | src_id,
| struct snd_ctl_elem_id * | dst_id`)`;

## Arguments

`card`

  the card instance

`src_id`

  the old id

`dst_id`

  the new id

## Description

Finds the control with the old id from the card, and replaces the id with the new one.

Returns zero if successful, or a negative error code on failure.

Prev | Up | Next
snd_ctl_remove_id | Home | snd_ctl_find_numid